Bug 990652 - RF-13086 : Popup panel: button's label is invisible in IE8
RF-13086 : Popup panel: button's label is invisible in IE8
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: RichFaces (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Brian Leathem
Pavol Pitonak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 12:07 EDT by ivassile
Modified: 2014-01-27 08:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 09:34:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-163 Major Closed Popup panel: button's label is invisible in IE8 2014-01-27 08:27:14 EST

  None (edit)
Description ivassile 2013-07-31 12:07:44 EDT
See RF-13086 (https://issues.jboss.org/browse/RF-13086)
Comment 1 Pavol Pitonak 2013-09-10 09:34:43 EDT
This is migrated to https://issues.jboss.org/browse/WFK2-163
Comment 2 JBoss JIRA Server 2013-09-10 12:43:05 EDT
Brian Leathem <bleathem@gmail.com> updated the status of jira WFK2-163 to Resolved
Comment 5 JBoss JIRA Server 2013-11-21 19:09:43 EST
Brian Leathem <bleathem@gmail.com> made a comment on jira WFK2-163

Some history:

RichFaces 4.3.2 included a fix for RF-12850, where:
{quote}
If a page with code snippet above is opened in IE9/IE10, the label "Submit" of button is not displayed until mouse over event.
Since it appears in all JSF implementations and on all runtime containers and works in browsers different from IE, it looks like a bug in IE interpretation of CSS classes.
Sample works fine when header of popup panel is not displayed (i.e. header attribute isn't set and no facet is defined).
{quote}

However the fix was insufficient as it broke popups in IE8 when the _show_ attribute was _true_.

We improved on the fix with the resolution of RF-13086 in RichFaces 4.3.4.
Comment 6 JBoss JIRA Server 2014-01-27 08:27:15 EST
Marek Schmidt <maschmid@redhat.com> updated the status of jira WFK2-163 to Closed

Note You need to log in before you can comment on or make changes to this bug.